- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
X Atom Functions
Ecore_X - X11 Integration

Functions that operate on atoms. More...

## Functions
Ecore_X_Atom | ecore_x_atom_get (const char *name)
| Retrieves the atom value associated to a name. More...
char * | ecore_x_atom_name_get (Ecore_X_Atom atom)
| Retrieves the name of the given atom. More...

## Detailed Description

Functions that operate on atoms.

## Function Documentation

Ecore_X_Atom ecore_x_atom_get | ( | const char * | name | ) |

Retrieves the atom value associated to a name.

Parameters

  name | Unused.

Returns
  Associated atom value.

Retrieves the atom value associated to a name. The reply is the returned value of the function ecore_xcb_intern_atom_reply(). If `reply` is `NULL`, the NULL atom is returned. Otherwise, the atom associated to the name is returned.

char* ecore_x_atom_name_get | ( | Ecore_X_Atom | atom | ) |

Retrieves the name of the given atom.

Parameters

  atom |

Returns
  The name of the atom.